---
sidebar_label: DeviceRequestPromptDevice
---

# DeviceRequestPromptDevice class

Device in a request prompt.

#### Signature:

```typescript
export declare class DeviceRequestPromptDevice
```

## Remarks

The constructor for this class is marked as internal. Third-party code should not call the constructor directly or create subclasses that extend the `DeviceRequestPromptDevice` class.

## Properties

| Property | Modifiers | Type   | Description                            |
| -------- | --------- | ------ | -------------------------------------- |
| id       |           | string | Device id during a prompt.             |
| name     |           | string | Device name as it appears in a prompt. |
